package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * info表对象 qy_info
 *
 * @author ruoyi
 * @date 2019-09-10
 */
public class QyInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** Id */
    @Excel(name = "Id")
    private Long id;

    /** 唯一标识 */
    @Excel(name = "唯一标识")
    private String bsid;

    /** 法人姓名 */
    @Excel(name = "法人姓名")
    private String frname;

    /** 委托人身份证 */
    @Excel(name = "委托人身份证")
    private String wtrcardno;

    /** 企业核准 */
    @Excel(name = "企业核准")
    private String qyhezhun;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String qyname;

    /** 企业老板 */
    @Excel(name = "企业类别")
    private String qylb;

    /** 企业类型 */
    @Excel(name = "企业类型")
    private String qylx;

    /** 行业 */
    @Excel(name = "行业")
    private String hangye;

    /** 行业1 */
    @Excel(name = "行业1")
    private String hangye1;

    /** 行业2 */
    @Excel(name = "行业2")
    private String hangye2;

    /** 行业3 */
    @Excel(name = "行业3")
    private String hangye3;

    /** 企业经营范围 */
    @Excel(name = "企业经营范围")
    private String qyjyfw;

    /** 企业搜索 */
    @Excel(name = "企业搜索")
    private String qyss;

    /** 企业经营场所 */
    @Excel(name = "企业经营场所")
    private String qyjycs;

    /** 企业经营期限 */
    @Excel(name = "企业经营期限")
    private String qyjyqx;

    /** 企业年限 */
    @Excel(name = "企业年限")
    private Integer qynx;

    /** 企业成立日期 */
    @Excel(name = "企业成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qyclrq;

    /** QYYyqz */
    @Excel(name = "企业营业期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qyyyqz;

    /** 企业资产类型 */
    @Excel(name = "企业资产类型")
    private String qyzclx;

    /** 企业注册资金 */
    @Excel(name = "企业注册资金")
    private String qyzczj;

    /** 经营场所产权 */
    @Excel(name = "经营场所产权")
    private String jycscq;

    /** 经营场所乡镇 */
    @Excel(name = "经营场所乡镇")
    private String jycsxz;

    /** 企业联系电话 */
    @Excel(name = "企业联系电话")
    private String qylxdh;

    /** 企业邮箱 */
    @Excel(name = "企业邮箱")
    private String qyemail;

    /** 企业共有人数 */
    @Excel(name = "企业共有人数")
    private String qygyrs;

    /** 企业参与人数 */
    @Excel(name = "企业参与人数")
    private String qycyrs;

    /** 是否检测 */
    @Excel(name = "是否军产")
    private String isjc;

    /** 企业邮寄方式 */
    @Excel(name = "企业邮寄方式")
    private String qyyoujifs;

    /** 企业邮寄地址 */
    @Excel(name = "企业邮寄地址")
    private String qyyoujiaddress;

    /** 状态 */
    @Excel(name = "状态")
    private String flg;

    /** 创建时间 */
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 审核时间 */
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shenhedate;

    /** 审核日志 */
    @Excel(name = "审核日志")
    private String shenhenote;

    /** 审核人 */
    @Excel(name = "审核人")
    private String shenhename;

    /** 审核人Id */
    @Excel(name = "审核人Id")
    private String shenhenameid;

    /** 正本打印 */
    @Excel(name = "正本打印")
    private String isprint_Z;

    /** 打印机名称 */
    @Excel(name = "打印机名称")
    private String printytjname;


    /** 打印时间 */
    @Excel(name = "打印时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date printzdate;

    /** 副本打印 */
    @Excel(name = "副本打印")
    private String isprint_F;

    /** 副本打印时间 */
    @Excel(name = "副本打印时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date printfdate;

    /** 来源 */
    @Excel(name = "来源")
    private String laiyuan;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isdel;

    /** 信用号 */
    @Excel(name = "信用号")
    private String xinyongcode;

    /** 书文号 */
    @Excel(name = "书文号")
    private String shuwenhao;

    /** 注册号 */
    @Excel(name = "注册号")
    private String zhucehao;

    /** 二维码 */
    @Excel(name = "二维码")
    private String erweimabase64;

    /** ZzCode */
    @Excel(name = "ZzCode")
    private String zzcode;

    /** FbList */
    @Excel(name = "FbList")
    private String fblist;

    /** 领取人照片 */
    @Excel(name = "LqrPhoto")
    private String lqrphoto;

    /** 领取人签名 */
    @Excel(name = "LqrQianming")
    private String lqrqianming;

    /** 领取人签名 */
    @Excel(name = "Lqdate")
    private Date lqdate;




    public String getPrintytjname() {
        return printytjname;
    }

    public void setPrintytjname(String printytjname) {
        this.printytjname = printytjname;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBsid(String bsid)
    {
        this.bsid = bsid;
    }

    public String getBsid()
    {
        return bsid;
    }
    public void setFrname(String frname)
    {
        this.frname = frname;
    }

    public String getFrname()
    {
        return frname;
    }
    public void setWtrcardno(String wtrcardno)
    {
        this.wtrcardno = wtrcardno;
    }

    public String getWtrcardno()
    {
        return wtrcardno;
    }
    public void setQyhezhun(String qyhezhun)
    {
        this.qyhezhun = qyhezhun;
    }

    public String getQyhezhun()
    {
        return qyhezhun;
    }
    public void setQyname(String qyname)
    {
        this.qyname = qyname;
    }

    public String getQyname()
    {
        return qyname;
    }
    public void setQylb(String qylb)
    {
        this.qylb = qylb;
    }

    public String getQylb()
    {
        return qylb;
    }
    public void setQylx(String qylx)
    {
        this.qylx = qylx;
    }

    public String getQylx()
    {
        return qylx;
    }
    public void setHangye(String hangye)
    {
        this.hangye = hangye;
    }

    public String getHangye()
    {
        return hangye;
    }
    public void setHangye1(String hangye1)
    {
        this.hangye1 = hangye1;
    }

    public String getHangye1()
    {
        return hangye1;
    }
    public void setHangye2(String hangye2)
    {
        this.hangye2 = hangye2;
    }

    public String getHangye2()
    {
        return hangye2;
    }
    public void setHangye3(String hangye3)
    {
        this.hangye3 = hangye3;
    }

    public String getHangye3()
    {
        return hangye3;
    }
    public void setQyjyfw(String qyjyfw)
    {
        this.qyjyfw = qyjyfw;
    }

    public String getQyjyfw()
    {
        return qyjyfw;
    }
    public void setQyss(String qyss)
    {
        this.qyss = qyss;
    }

    public String getQyss()
    {
        return qyss;
    }
    public void setQyjycs(String qyjycs)
    {
        this.qyjycs = qyjycs;
    }

    public String getQyjycs()
    {
        return qyjycs;
    }
    public void setQyjyqx(String qyjyqx)
    {
        this.qyjyqx = qyjyqx;
    }

    public String getQyjyqx()
    {
        return qyjyqx;
    }
    public void setQynx(Integer qynx)
    {
        this.qynx = qynx;
    }

    public Integer getQynx()
    {
        return qynx;
    }
    public void setQyclrq(Date qyclrq)
    {
        this.qyclrq = qyclrq;
    }

    public Date getQyclrq()
    {
        return qyclrq;
    }
    public void setQyyyqz(Date qyyyqz)
    {
        this.qyyyqz = qyyyqz;
    }

    public Date getQyyyqz()
    {
        return qyyyqz;
    }
    public void setQyzclx(String qyzclx)
    {
        this.qyzclx = qyzclx;
    }

    public String getQyzclx()
    {
        return qyzclx;
    }
    public void setQyzczj(String qyzczj)
    {
        this.qyzczj = qyzczj;
    }

    public String getQyzczj()
    {
        return qyzczj;
    }
    public void setJycscq(String jycscq)
    {
        this.jycscq = jycscq;
    }

    public String getJycscq()
    {
        return jycscq;
    }
    public void setJycsxz(String jycsxz)
    {
        this.jycsxz = jycsxz;
    }

    public String getJycsxz()
    {
        return jycsxz;
    }
    public void setQylxdh(String qylxdh)
    {
        this.qylxdh = qylxdh;
    }

    public String getQylxdh()
    {
        return qylxdh;
    }
    public void setQyemail(String qyemail)
    {
        this.qyemail = qyemail;
    }

    public String getQyemail()
    {
        return qyemail;
    }
    public void setQygyrs(String qygyrs)
    {
        this.qygyrs = qygyrs;
    }

    public String getQygyrs()
    {
        return qygyrs;
    }
    public void setQycyrs(String qycyrs)
    {
        this.qycyrs = qycyrs;
    }

    public String getQycyrs()
    {
        return qycyrs;
    }
    public void setIsjc(String isjc)
    {
        this.isjc = isjc;
    }

    public String getIsjc()
    {
        return isjc;
    }
    public void setQyyoujifs(String qyyoujifs)
    {
        this.qyyoujifs = qyyoujifs;
    }

    public String getQyyoujifs()
    {
        return qyyoujifs;
    }
    public void setQyyoujiaddress(String qyyoujiaddress)
    {
        this.qyyoujiaddress = qyyoujiaddress;
    }

    public String getQyyoujiaddress()
    {
        return qyyoujiaddress;
    }
    public void setFlg(String flg)
    {
        this.flg = flg;
    }

    public String getFlg()
    {
        return flg;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setShenhedate(Date shenhedate)
    {
        this.shenhedate = shenhedate;
    }

    public Date getShenhedate()
    {
        return shenhedate;
    }
    public void setShenhenote(String shenhenote)
    {
        this.shenhenote = shenhenote;
    }

    public String getShenhenote()
    {
        return shenhenote;
    }
    public void setShenhename(String shenhename)
    {
        this.shenhename = shenhename;
    }

    public String getShenhename()
    {
        return shenhename;
    }
    public void setShenhenameid(String shenhenameid)
    {
        this.shenhenameid = shenhenameid;
    }

    public String getShenhenameid()
    {
        return shenhenameid;
    }
    public void setIsprintZ(String isprintZ)
    {
        this.isprint_Z = isprintZ;
    }

    public String getIsprintZ()
    {
        return isprint_Z;
    }
    public void setPrintzdate(Date printzdate)
    {
        this.printzdate = printzdate;
    }

    public Date getPrintzdate()
    {
        return printzdate;
    }
    public void setIsprintF(String isprintF)
    {
        this.isprint_F = isprintF;
    }

    public String getIsprintF()
    {
        return isprint_F;
    }
    public void setPrintfdate(Date printfdate)
    {
        this.printfdate = printfdate;
    }

    public Date getPrintfdate()
    {
        return printfdate;
    }
    public void setLaiyuan(String laiyuan)
    {
        this.laiyuan = laiyuan;
    }

    public String getLaiyuan()
    {
        return laiyuan;
    }
    public void setIsdel(Long isdel)
    {
        this.isdel = isdel;
    }

    public Long getIsdel()
    {
        return isdel;
    }
    public void setXinyongcode(String xinyongcode)
    {
        this.xinyongcode = xinyongcode;
    }

    public String getXinyongcode()
    {
        return xinyongcode;
    }
    public void setShuwenhao(String shuwenhao)
    {
        this.shuwenhao = shuwenhao;
    }

    public String getShuwenhao()
    {
        return shuwenhao;
    }
    public void setZhucehao(String zhucehao)
    {
        this.zhucehao = zhucehao;
    }

    public String getZhucehao()
    {
        return zhucehao;
    }
    public void setErweimabase64(String erweimabase64)
    {
        this.erweimabase64 = erweimabase64;
    }

    public String getErweimabase64()
    {
        return erweimabase64;
    }
    public void setZzcode(String zzcode)
    {
        this.zzcode = zzcode;
    }

    public String getZzcode()
    {
        return zzcode;
    }
    public void setFblist(String fblist)
    {
        this.fblist = fblist;
    }

    public String getFblist()
    {
        return fblist;
    }


    public void setLqrqianming(String lqrqianming)
    {
        this.lqrqianming = lqrqianming;
    }

    public String  getLqrqianming()
    {
        return lqrqianming;
    }
    public void setLqrphoto(String lqrphoto)
    {
        this.lqrphoto = lqrphoto;
    }

    public String  getLqrphoto()
    {
        return lqrphoto;
    }

    public void setLqdate(Date lqdate)
    {
        this.lqdate = lqdate;
    }

    public Date  getLqdate()
    {
        return lqdate;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bsid", getBsid())
            .append("frname", getFrname())
            .append("wtrcardno", getWtrcardno())
            .append("qyhezhun", getQyhezhun())
            .append("qyname", getQyname())
            .append("qylb", getQylb())
            .append("qylx", getQylx())
            .append("hangye", getHangye())
            .append("hangye1", getHangye1())
            .append("hangye2", getHangye2())
            .append("hangye3", getHangye3())
            .append("qyjyfw", getQyjyfw())
            .append("qyss", getQyss())
            .append("qyjycs", getQyjycs())
            .append("qyjyqx", getQyjyqx())
            .append("qynx", getQynx())
            .append("qyclrq", getQyclrq())
            .append("qyyyqz", getQyyyqz())
            .append("qyzclx", getQyzclx())
            .append("qyzczj", getQyzczj())
            .append("jycscq", getJycscq())
            .append("jycsxz", getJycsxz())
            .append("qylxdh", getQylxdh())
            .append("qyemail", getQyemail())
            .append("qygyrs", getQygyrs())
            .append("qycyrs", getQycyrs())
            .append("isjc", getIsjc())
            .append("qyyoujifs", getQyyoujifs())
            .append("qyyoujiaddress", getQyyoujiaddress())
            .append("flg", getFlg())
            .append("createdate", getCreatedate())
            .append("shenhedate", getShenhedate())
            .append("shenhenote", getShenhenote())
            .append("shenhename", getShenhename())
            .append("shenhenameid", getShenhenameid())
            .append("isprintZ", getIsprintZ())
            .append("printzdate", getPrintzdate())
            .append("isprintF", getIsprintF())
            .append("printfdate", getPrintfdate())
            .append("laiyuan", getLaiyuan())
            .append("isdel", getIsdel())
            .append("xinyongcode", getXinyongcode())
            .append("shuwenhao", getShuwenhao())
            .append("zhucehao", getZhucehao())
            .append("erweimabase64", getErweimabase64())
            .append("zzcode", getZzcode())
            .append("fblist", getFblist())
            .append("lqrphoto", getLqrphoto())
            .append("lqrqianming", getLqrqianming())
            .append("lqdate", getLqdate())
            .toString();
    }
}
